package com.ghy.shop.mapper;

import com.ghy.shop.domain.Shop;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import java.util.List;

@Mapper
public interface ShopMapper {
    int insert(Shop shop);
    int update(Shop shop);
    int delete(@Param("shopId") Long shopId);
    Shop select(@Param("shopId") Long shopId);
    List<Shop> selectAll();

    /**
     * 根据工作人员ID查询商铺列表
     */
    List<Shop> selectShopsByWorkerId(@Param("workerId") Long workerId);
} 